CreditAgencyBean (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.credit.CreditAgencyBean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.credit
Class CreditAgencyBean

    java.lang.Object
      org.mule.example.loanbroker.credit.CreditAgencyBean

All Implemented Interfaces:
  Serializable, EnterpriseBean, SessionBean

    public class CreditAgencyBean

extends Object
implements SessionBean

`CreditAgencyBean` obtains a credit historey record for a customer.

See Also:
  Serialized Form

Constructor Summary
`CreditAgencyBean()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`protected int` | `getCreditHistoryLength(int ssn)`
`String` | `getCreditProfile(String name, Integer ssn)` Used by Ejb Call
`protected int` | `getCreditScore(int ssn)`
`void` | `setSessionContext(SessionContext sessionContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreditAgencyBean

    public CreditAgencyBean()

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Specified by:
    `ejbActivate` in interface `SessionBean`
  Throws:
    `EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
  Throws:
    `EJBException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException

  Specified by:
    `ejbRemove` in interface `SessionBean`
  Throws:
    `EJBException`

### ejbCreate

    public void ejbCreate()
                   throws EJBException

  Throws:
    `EJBException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException

  Specified by:
    `setSessionContext` in interface `SessionBean`
  Throws:
    `EJBException`

### getCreditScore

    protected int getCreditScore(int ssn)

### getCreditHistoryLength

    protected int getCreditHistoryLength(int ssn)

### getCreditProfile

    public String getCreditProfile(String name,
                                   Integer ssn)

  Used by Ejb Call

  Parameters:
    `name` -
    `ssn` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.